package it.unitn.prog2.treni;

public class Treno {
    private String codice;
    private Data dataViaggio;
    private Stazione partenza;
    private Stazione arrivo;
    protected double prezzo;

    public Treno() {
        this("", new Data(), new Stazione(), new Stazione(), 0.0);
    }
    
    public Treno(String codice, Data dataViaggio, 
            Stazione partenza, Stazione arrivo, double prezzo) {
        this.codice = codice;
        this.dataViaggio = dataViaggio;
        this.partenza = partenza;
        this.arrivo = arrivo;
        this.prezzo = prezzo;
    }

    @Override
    public String toString() {
        String s = "";
        s += "COD-" + codice + " ";
        s += "il " + dataViaggio + " ";
        s += "da " + partenza + " ";
        s += "a " + arrivo + " ";
        s += "@ " + prezzo + "€";
        return s;
    }
 
    public void stampaBiglietto() {
        System.out.println("***** " + dataViaggio + "//" + codice + "//" +
                partenza.abbrev() + "->" + arrivo.abbrev() + "*****");
    }
    
    public String getCodice() {
        return codice;
    }

    public Data getDataViaggio() {
        return dataViaggio;
    }

    public Stazione getPartenza() {
        return partenza;
    }

    public Stazione getArrivo() {
        return arrivo;
    }

    public double getPrezzo() {
        return prezzo;
    }

    public void controllaValidita() {
        System.out.println("Biglietto valido.");
    }
}
