package it.unitn.prog2.treni;

public class TrenoReg  extends Treno {
    private Data fineValidita;

    public TrenoReg() {
        this(new Data());
    }
    
    public TrenoReg(Data fineValidita) {
        super();
        this.fineValidita = fineValidita;
    }
    
    public TrenoReg(Data fineValidita, String codice, Data dataViaggio, Stazione partenza, Stazione arrivo, double prezzo) {
        super(codice, dataViaggio, partenza, arrivo, prezzo);
        this.fineValidita = fineValidita;
    }
    
    public Data getFineValidita() {
        return fineValidita;
    }

    @Override
    public void stampaBiglietto() {
        System.out.println("***** " + getDataViaggio() + "~" + getFineValidita()
                + "//" + getCodice() + "//" +
            getPartenza().abbrev() + "->" + getArrivo().abbrev() + "*****");
    }
    
    @Override
    public void controllaValidita() {
        if (getDataViaggio().getDifference(new Data()) > 0 || 
                getFineValidita().getDifference(new Data()) < 0) {
            System.out.println("Biglietto non valido!");
            prezzo *= 1.5;
        } else {
            System.out.println("Biglietto valido.");
        }
    }
}